Feature: Nagvis from Ninja
	As nagvis maps have at different times been broken in releases,
	these tests will hopefully catch the biggest problems

	Scenario: View automap as superuser
		Given I am logged in
		When I hover over the "Monitor" menu
		And I click "NagVis"
		And I click "Automap" within frame "nagvis"
		Then I should see xpath ".//a[@href='/monitor/index.php/extinfo/details/?host=monitor']" within frame "nagvis" waiting patiently

	Scenario: View demo map as superuser
		Given I am logged in
		When I hover over the "Monitor" menu
		And I click "NagVis"
		And I click "Demo" within frame "nagvis"
		Then I should see "System load" within frame "nagvis" waiting patiently

	# This test is likely to fail when run against a ninja
        # not in /opt/monitor since nagvis is hardcoded to look
        # for external_widget settings in that particular directory
        Scenario: External widget nagvis
                Then I expose the widget "nagvis" with settings
                        | height | map |
                        | 600    | automap |
                When I am on address "/index.php/external_widget/nagvis"
                # Default root of automap is monitor
                Then I should see "monitor" within frame "nagvis"
                When I am on the main page
                Then I should see "Password"

	# Test that non-admin rights are given correctly,
	# i.e. not fetching happy path permissions
        Scenario: External widget nagvis
                Then I expose the widget "nagvis" as "jacko_maniac" in groups "'limited_view'" with settings
                        | height | map |
                        | 600    | automap |
                When I am on address "/index.php/external_widget/nagvis"
                # Default root of automap is monitor
                Then I should see "monitor" within frame "nagvis"
                When I am on the main page
                Then I should see "Password"

	@configuration @integration
        Scenario: Host details - Locate host on map
                Verify that the "Locate host on map" host command
                works correctly.

		Given I am logged in
		And I have these hostgroups configured:
                        | hostgroup_name | members                     |
                        | LinuxServers   | linux-server1,linux-server2 |
                        | WindowsServers | win-server1,win-server2     |
                And I have these hosts:
                        | host_name     | contacts |
                        | linux-server1 | monitor  |
                        | linux-server2 |          |
                        | win-server1   |          |
                        | win-server2   |          |
                And I have these services:
                        | service_description | host_name     | check_command   | notifications_enabled | active_checks_enabled |
                        | System Load         | linux-server1 | check_nrpe!load | 1                     | 1                     |
                        | System Load         | linux-server2 | check_nrpe!load | 1                     | 1                     |
                        | PING                | win-server1   | check_ping      | 1                     | 0                     |
                        | PING                | win-server2   | check_ping      | 0                     | 1                     |
                And I have activated the configuration
		And I am on the Host details page

		When I click "linux-server1"
		And I hover over the "Options" menu
		And I hover over the "Links" menu
                And I click "Locate host on map"
                Then I should be on url "/index.php/nagvis/automap/host/linux-server1"
                And I should see "linux-server1" within frame "nagvis"

	Scenario: Rename nagvis map
		Given I am logged in
		When I hover over the "Monitor" menu
		And I click "NagVis"
		And I hover over the "Options" on nagvis header menu within frame "nagvis"
		And I click "Manage Maps" within frame "nagvis"
		Then I should see "Rename Map" within frame "nagvis"
		When I click button "Rename" within frame "nagvis"
		Then I should see "Please choose a map" within frame "nagvis"
		When I select "automap" from "name" within frame "nagvis"
		And I click button "Rename" within frame "nagvis"
		Then I should see "Please provide a new name" within frame "nagvis"
		When I enter "testnewname" into "new_name" within frame "nagvis"
		And I click button "Rename" within frame "nagvis"
		Then I should see "The map has been renamed" within frame "nagvis"
		When I hover over the "map-testnewname-icon" on nagvis content within frame "nagvis"
		Then I should see "testnewname" within frame "nagvis"

	Scenario: Right click action on host and services
		Given I am logged in
		When I hover over the "Monitor" menu
		And I click "NagVis"
		Then I should see "Map Index" within frame "nagvis"
		When I click "Automap" within frame "nagvis"
		Then I should see "monitor" within frame "nagvis"
		When I am on address "/index.php/cmd/index?command=schedule_downtime&object=monitor&table=hosts"
		Then I should see "Schedule downtime"
		And I should see "monitor"
		When I am on address "/index.php/cmd?command=schedule_check&table=hosts&object=monitor"
		Then I should see "Re-schedule next host check"
		And I should see "monitor"
